#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 41. Other X-based Programs

- Prev

  Transmission-4.0.6

- Next

  xdg-utils-1.2.1

- Up
- Home

# xarchiver-0.5.4.23

## Introduction to xarchiver

XArchiver is a GTK+ archive manager with support for tar, xz, bzip2, gzip, zip, 7z, rar, lzo and many other archive formats.

This package is known to build and work properly using an LFS 12.3 platform.

### Note

xarchiver is only a command line or graphical interface to archiving utilities such as tar and zip.

### Package Information

- Download (HTTP): https://github.com/ib/xarchiver/archive/0.5.4.23/xarchiver-0.5.4.23.tar.gz

- Download MD5 sum: bfdace2b113417e1bc77ef304280d103

- Download size: 1.1 MB

- Estimated disk space required: 11 MB

- Estimated build time: 0.1 SBU

### xarchiver Dependencies

#### Required

GTK-3.24.48

#### Optional (Runtime)

7zip-24.09, cpio-2.15, LZO-2.10, UnRar-7.1.5, Zip-3.0, and unzip

## Installation of xarchiver

BLFS provides unzip as a symlink to bsdunzip from libarchive-3.7.7, but it doesn't work for xarchiver. Adapt xarchiver to use 7zip-24.09 for handling `.zip` files by default instead:

    sed '/TOGGLE.*prefer_unzip/s/TRUE/FALSE/' -i src/pref_dialog.c

### Note

If you've already installed and run this package before (maybe in another distro if your `/home` is a partition shared with that distro), it's likely already configured to prefer unzip. Unset the “Prefer unzip for zip files” checkbox in the “Action => Preferences” dialog to change the configuration.

Install xarchiver by running the following commands:

    ./configure  --prefix=/usr               \
                 --libexecdir=/usr/lib/xfce4 \
                 --docdir=/usr/share/doc/xarchiver-0.5.4.23 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and desktop files into the `/usr/share/applications` hierarchy. You can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme` and `/usr/share/applications/mimeinfo.cache`. To perform the update you must have GTK-3.24.48 installed (for the icon cache) and desktop-file-utils-0.28 (for the desktop cache) and issue the following commands as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor &&
    update-desktop-database -q

## Command Explanations

`--libexecdir=/usr/lib/xfce4`: This switch fixes the location for the thunar-archive-plugin, so it will work if thunar-4.20.2 is installed.

## Contents

Installed Program: xarchiver
Installed Libraries: None
Installed Directories: /usr/lib/xfce4/thunar-archive-plugin, /usr/share/doc/xarchiver-0.5.4.23, and /usr/share/pixmaps/xarchiver

### Short Descriptions

xarchiver | is a GTK+ archive manager

- Prev

  Transmission-4.0.6

- Next

  xdg-utils-1.2.1

- Up
- Home